import org.apache.commons.chain.Catalog;
import org.apache.commons.chain.Command;
import org.apache.commons.chain.Context;
import org.apache.commons.chain.config.ConfigParser;
import org.apache.commons.chain.impl.CatalogFactoryBase;

public class TestChain {

    private static final String CONFIG_FILE = "/chain.xml";
    private ConfigParser parser;
    private Catalog catalog;

    public TestChain() {
        parser = new ConfigParser();
    }

    public Catalog getCatalog() throws Exception {
        if (catalog == null) {

            parser.parse(this.getClass().getResource(CONFIG_FILE));

        }
        catalog = CatalogFactoryBase.getInstance().getCatalog();
        return catalog;
    }

    public static void main(String[] args) throws Exception {
        TestChain chain = new TestChain();
        Catalog catalog = chain.getCatalog();
        Command command = catalog.getCommand("MyFlow");
        Context ctx = new MyContext();
        command.execute(ctx);
    }

}
